AchievementRuneStoneMastery = class(Turbine.UI.Control)
function AchievementRuneStoneMastery:Constructor(handler)
    Turbine.UI.Control.Constructor(self)

    self.skillList = {
        ["Rune of Restoration"] = true,
        ["Our Fates Entwined"] = true,
        ["Volcanic Rune-stone"] = true,
        ["Fulgurite Rune-stone"] = true,
    }

    self.handler = handler

    self:SetCallbacks()
end

function AchievementRuneStoneMastery:SetCallbacks()
    self.skillCallbacks = {}
    for key, value in pairs(SkillEventHandler:GetSkills()) do
        if self.skillList[key] then

            table.insert(self.skillCallbacks, AddCallback(SkillEventHandler, key, function(skill) 
                self.handler:Fail("Runestone Mastery", "Summoned a Runestone", 0x410E81CB)
            end))
        end
    end
end

function AchievementRuneStoneMastery:Unload()
    for key, value in pairs(self.skillCallbacks) do
        RemoveCallback(SkillEventHandler, key, value) 
    end
end

function AchievementRuneStoneMastery:Refresh()
    self:Unload()
    self:SetCallbacks()
end